<?php
if (! empty($field['type'])) :
  switch (strtolower($field['type'])) :
    case 'text':
      ?>
      <div class="settings-field settings-field--text <?php echo $field['css_class'];?>">
        <input
          type="text"
          name="<?php echo $field['name'] ?>"
          id="<?php echo $field['name'] ?>"
          value="<?php echo esc_html($field['value']) ?>"
          placeholder="<?php echo esc_html($field['placeholder']) ?>"
          <?php if (!empty($field['readonly'])) : ?>
            readonly="readonly"
          <?php endif; ?>
        >
        <?php if (!empty($field['description'])) : ?>
          <p><?php echo $field['description']; ?></p>
        <?php endif; ?>
        <?php if (!empty($field['additionalHtml'])) : ?>
          <?php echo $field['additionalHtml']; ?>
        <?php endif; ?>
      </div>
      <?php
      break;
    case 'number':
      ?>
      <div class="settings-field settings-field--number">
        <input
          type="number"
          name="<?php echo $field['name'] ?>"
          id="<?php echo $field['name'] ?>"
          value="<?php echo $field['value'] ?>"
          placeholder="<?php echo $field['placeholder'] ?>"
          <?php if (!empty($field['min_value'])) : ?>
            min="<?php echo $field['min_value']; ?>"
          <?php endif; ?>
          <?php if (!empty($field['max_value'])) : ?>
            max="<?php echo $field['max_value']; ?>"
          <?php endif; ?>
          <?php if (!empty($field['readonly'])) : ?>
            readonly="readonly"
          <?php endif; ?>
        >
        <?php if (!empty($field['description'])) : ?>
          <p><?php echo $field['description']; ?></p>
        <?php endif; ?>
        <?php if (!empty($field['additionalHtml'])) : ?>
          <?php echo $field['additionalHtml']; ?>
        <?php endif; ?>
      </div>
      <?php
      break;
    case 'password':
      ?>
      <div class="settings-field settings-field--password">
        <input
          type="password"
          name="<?php echo $field['name'] ?>"
          id="<?php echo $field['name'] ?>"
          value="<?php echo $field['value'] ?>"
          placeholder="<?php echo $field['placeholder'] ?>"
          <?php if (!empty($field['readonly'])) : ?>
            readonly="readonly"
          <?php endif; ?>
        >
        <?php if (!empty($field['description'])) : ?>
          <p><?php echo $field['description']; ?></p>
        <?php endif; ?>
        <?php if (!empty($field['additionalHtml'])) : ?>
          <?php echo $field['additionalHtml']; ?>
        <?php endif; ?>
      </div>
      <?php
      break;
    case 'checkbox':
      ?>
      <div class="settings-field settings-field--checkbox">
        <input
          type="checkbox"
          name="<?php echo $field['name'] ?>"
          id="<?php echo $field['name'] ?>"
          <?php if (!empty($field['value'])) : ?>
            checked="<?php echo $field['value'] ?>"
          <?php endif; ?>
          <?php if (!empty($field['placeholder'])) : ?>
            placeholder="<?php echo $field['placeholder'] ?>"
          <?php endif; ?>
        >
        <?php if (!empty($field['description'])) : ?>
          <p><?php echo $field['description']; ?></p>
        <?php endif; ?>
        <?php if (!empty($field['additionalHtml'])) : ?>
          <?php echo $field['additionalHtml']; ?>
        <?php endif; ?>
      </div>
      <?php
      break;
    case 'select':
      ?>
      <div class="settings-field settings-field--select">
        <select
          name="<?php echo $field['name'] ?>"
          id="<?php echo $field['name'] ?>"
          <?php if (! empty($field['readonly'])) : ?>
            readonly="readonly"
          <?php endif; ?>
        >
          <?php
            if (! empty($field['options'])) :
              foreach ($field['options'] as $option) :
                ?>
                  <option value="<?php echo $option['value'] ?>" <?php echo $option['value'] == $field['value'] ? 'selected' : ''; ?>><?php echo $option['label'] ?></option>
                <?php
              endforeach;
            endif;
          ?>
        </select>
        <?php if (! empty($field['description'])) : ?>
          <p><?php echo $field['description']; ?></p>
        <?php endif; ?>
        <?php if (! empty($field['additionalHtml'])) : ?>
          <?php echo $field['additionalHtml']; ?>
        <?php endif; ?>
      </div>
      <?php
      break;
    case 'hidden':
      ?>
      <div class="settings-field settings-field--hidden">
        <input
          type="hidden"
          name="<?php echo $field['name'] ?>"
          id="<?php echo $field['name'] ?>"
          value="<?php echo $field['value'] ?>"
        >
      </div>
      <?php
      break;
    default:
      ?>
      <span style="display: none">Default field handler</span>
      <?php
    break;
  endswitch;
endif;
