<?php

namespace Freshmail\Core\AdminMenu\Pages;

class AboutPage extends AbstractPage
{
  /**
   * Returns page setup data - sections and fields arrays.
   * Can't define as const var because of callbacks.
   *
   * @return array
   * @author MS
   */
  protected function getSetup(): array
  {
    return [
      'subpages' => [
        [
          'parent_slug' => 'freshmail_settings',
          'page_title' => __('About', 'freshmail'),
          'menu_title' => __('About', 'freshmail'),
          'capability' => 'manage_options',
          'menu_slug' => 'freshmail_about',
          'callback' => [$this, 'renderPage'],
          'position' => null,
        ]
      ],
    ];
  }

  /**
   * Renders this page
   *
   * @return void
   * @author MS
   */
  public function renderPage()
  {
    $data = [];
    include FRERSHMAIL_RESOURCES_PATH . 'views/admin/settings/about.php';
  }
}
