<?php
/**
 * Api: Endpoints manager
 *
 * @author MS
 */
namespace Freshmail\Core\Api\Submodules;

use Freshmail\Core\Api\Endpoints\Integrations;
use Freshmail\Core\Api\Endpoints\Ping;
use Freshmail\Core\Api\Endpoints\Subscriber;
use Freshmail\Core\Api\Endpoints\SubscribersList;
use Freshmail\Core\Api\Models\ApiConfig;

class EndpointsManager
{
  /**
   * @var Ping|null
   */
  public $ping = null;

  /**
   * @var SubscribersList|null
   */
  public $subscribers_list = null;

  /**
   * @var Integrations|null
   */
  public $integrations = null;

  /**
   * @var Subscriber|null
   */
  public $subscriber = null;

  public function __construct(string $token = '')
  {
    $api_config = new ApiConfig();
    $this->ping = createClass('Freshmail\Core\Api\Endpoints\Ping', [$api_config]);
    $this->subscribers_list = createClass('Freshmail\Core\Api\Endpoints\SubscribersList', [$api_config]);
    $this->integrations = createClass('Freshmail\Core\Api\Endpoints\Integrations', [$api_config]);
    $this->subscriber = createClass('Freshmail\Core\Api\Endpoints\Subscriber', [$api_config]);
  }
}
