<?php
/**
 * SMTP Provider
 *
 * @author PH
 */
namespace Freshmail\Core\Integrations\Smtp\Mailer;

class Mailer
{
  /**
   * @var string
   */
  private $server = '';

  /**
   * @var string
   */
  private $port = 465;

  /**
   * @var string
   */
  private $username = '';

  /**
   * @var string
   */
  private $password = '';

  /**
   * @var string
   */
  private $secure = 'ssl';

  /**
   * @var string
   */
  private $from_name = '';

  /**
   * @var string
   */
  private $from_mail = '';

  public function __construct(string $server, int $port, string $username, string $password, string $from_name, string $from_mail)
  {
    $this->server = $server;
    $this->port = $port;
    $this->username = $username;
    $this->password = $password;
    $this->from_name = $from_name;
    $this->from_mail = $from_mail;
  }

  /**
   * Function configures the SMTP Sever.
   * MS: removed param type to avoid problems with inconsistant namespace
   *
   * @param PHPMailer $phpmailer mailer
   * @see https://codex.wordpress.org/Plugin_API/Action_Reference/phpmailer_init
   * @action phpmailer_init
   * @author PH
   * @editor MS
   */
  public function setMailer($phpmailer)
  {
    $phpmailer->isSMTP();
    $phpmailer->Host = $this->server;
    $phpmailer->SMTPAuth = true;
    $phpmailer->SMTPSecure = $this->secure;
    $phpmailer->Port = $this->port;
    $phpmailer->Username = $this->username;
    $phpmailer->Password = $this->password;
    $phpmailer->From = $this->from_name;
    $phpmailer->FromName = $this->from_mail;
  }
}
