<?php

namespace Freshmail\SetupWizard;

class MediaText
{
  private string $title;

  private string $content;

  private $image;

  private $class;

  public function __construct(string $title, string $content, array $image, ?string $class)
  {
    $this->title = $title;
    $this->content = $content;
    $this->image = $image;
    $this->class = $class;
    $this->html = $this->generateHtml();
  }

  public function getTitle(): string
  {
    return $this->title;
  }

  public function getContent(): string
  {
    return $this->content;
  }

  public function getImage(): array
  {
    return $this->image;
  }

  public function getHtml(): string
  {
    return $this->html;
  }

  private function generateHtml()
  {
    $title = $this->title; // this is used by templates
    $content = $this->content;
    $image = $this->image;
    $class = $this->class;
    ob_start();
    include FRERSHMAIL_RESOURCES_PATH . 'views/setup-wizard/sections/mediaText.php';
    $html = ob_get_clean();

    return $html;
  }
}
